<template>
    <div class="text-white">
        <input class="search-input" type="search" placeholder="Enter..." v-model="searchText">

        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="pills-artists-tab" data-toggle="pill" href="#pills-artists" role="tab" aria-controls="pills-artists" aria-selected="true">Artists</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="pills-songs-tab" data-toggle="pill" href="#pills-songs" role="tab" aria-controls="pills-songs" aria-selected="false">Songs</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="pills-all-tab" data-toggle="pill" href="#pills-all" role="tab" aria-controls="pills-all" aria-selected="false">All</a>
            </li>
        </ul>
        <div class="tab-content" id="pills-tabContent">

            <div class="tab-pane fade show active text-white" id="pills-artists" role="tabpanel" aria-labelledby="pills-artists-tab">
                <div class="row playlists">
                    <div class="col-md-6 col-lg-3 col-sm-12 mb-3" v-for="artist in filteredArtists">
                        <div class="card flex-md-row mb-4 box-shadow h-md-250 w-100 h-100 bg-dark playlist-bg" style="border-radius: 20px">
                            <div class="card-body d-flex flex-column align-items-start">
                                <strong class="d-inline-block mb-2">MyMusic</strong>
                                <h3 class="mb-0">
                                    <strong>
                                        {{ artist.name }}
                                    </strong>
                                </h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="tab-pane fade" id="pills-songs" role="tabpanel" aria-labelledby="pills-songs-tab">
                songs
            </div>

            <div class="tab-pane fade" id="pills-all" role="tabpanel" aria-labelledby="pills-all-tab">
                all
            </div>
        </div>

    </div>
</template>

<script>
export default {
    name: "Search",

    data() {
        return {
            searchText: '',
            artists: []
        }
    },

    computed: {
        filteredArtists() {
            if (this.searchText) {
                return this.artists.filter(item => {
                    return item.name.toLowerCase().includes(this.searchText.toLowerCase());
                });
            }
            return this.artists
        }
    },

    methods: {
        getArtists(){
            axios
                .get('/api/artists')
                .then(({data}) => {
                    this.artists = data;
                })
                .catch(error => console.log(error.response.data));
        }
    },

    mounted(){
        this.getArtists();
        console.log('123')
    }
}
</script>
